package main

import (
	"site/config"
	"site/core"
	"site/routers"
)

func main() {
	// 初始化服务
	s := core.NewServer(true, "views/**/*")

	// 初始化配置
	config.InitCommon()

	// 初始化数据库
	// models.ConnectDB()

	// 注册路由
	routers.RegisterHome(s)
	routers.RegisterWebSocket(s)

	// 启动服务
	s.Run(":8080")
}
